Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
transient_heap Struct Reference

## Data Fields
struct transient_heap_block * | using_blocks
struct transient_heap_block * | marked_blocks
struct transient_heap_block * | free_blocks
int | total_objects
int | total_marked_objects
int | total_blocks
enum transient_heap_status | status
VALUE * | promoted_objects
int | promoted_objects_size
int | promoted_objects_index
struct transient_heap_block * | arena
int | arena_index

## Detailed Description

Definition at line 82 of file transient_heap.c.

## Field Documentation

## ◆ arena

struct transient_heap_block* transient_heap::arena

Definition at line 95 of file transient_heap.c.

## ◆ arena_index

int transient_heap::arena_index

Definition at line 96 of file transient_heap.c.

## ◆ free_blocks

struct transient_heap_block* transient_heap::free_blocks

Definition at line 85 of file transient_heap.c.

## ◆ marked_blocks

struct transient_heap_block* transient_heap::marked_blocks

Definition at line 84 of file transient_heap.c.

## ◆ promoted_objects

VALUE* transient_heap::promoted_objects

Definition at line 91 of file transient_heap.c.

## ◆ promoted_objects_index

int transient_heap::promoted_objects_index

Definition at line 93 of file transient_heap.c.

## ◆ promoted_objects_size

int transient_heap::promoted_objects_size

Definition at line 92 of file transient_heap.c.

## ◆ status

enum transient_heap_status transient_heap::status

Definition at line 89 of file transient_heap.c.

## ◆ total_blocks

int transient_heap::total_blocks

Definition at line 88 of file transient_heap.c.

## ◆ total_marked_objects

int transient_heap::total_marked_objects

Definition at line 87 of file transient_heap.c.

## ◆ total_objects

int transient_heap::total_objects

Definition at line 86 of file transient_heap.c.

## ◆ using_blocks

struct transient_heap_block* transient_heap::using_blocks

Definition at line 83 of file transient_heap.c.

The documentation for this struct was generated from the following file:

- transient_heap.c